--- title: "Reset User Password" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/reset-user-password/ description: "This API enables you to reset the password of a user of your Catalyst application through Catalyst Authentication." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Reset User Password ### Description This API enables you to [reset the password](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/users/implementation/#reset-a-users-password) of a user of your Catalyst application. When this API is called, an email will be sent to the user's email address with a password reset link. The user can configure a new password for your application and save it, upon clicking the link. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/project-user/forgotpassword - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Content-Type:** application/json **PROJECT_ID:** {[ZAID](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/social-logins/introduction/#configure-authorized-uris)} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development > **Note:** Catalyst does not authenticate this API request. Therefore, you need not pass an OAuth token or specify any scopes. #### Request JSON Properties - **platform_type** (string, mandatory): Accepted values: `web`, `android`, `ios` Max Size: N/A - **redirect_url** (string, optional): The URL to be redirected to, after the user resets the password Max Size: 200 - **user_details** (json, mandatory): The JSON that contains the details of the user - **first_name** (String): First name of the user Mandatory: No Max Size: 100 - **last_name** (String): Last name of the user Mandatory: No Max Size: 100 - **email_id** (String): Email address of the user Mandatory: Yes Max Size: N/A ### Response Details The response will contain the status of the reset password action. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3000000002001/project-user/forgotpassword \ -H "Content-Type: application/json" \ -d '{ "user_details":{ "email_id":"p.boyle@zylker.com" }, "platform_type":"web" }' ``` **Sample Response** ```json { "status": "success", "data": "Reset link sent to your p.boyle@zylker.com email address. Please check your email :)" } ``` ### SDK Documentation [Reset User Password- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/reset-password) [Reset User Password- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/reset-password) [Reset User Password- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/reset-password) [Reset User Password- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/authentication/reset-password)